1

The package it's complaining about is already installed. I've done a "apt-get -f install" and "dpkg --configure -a" but it doesn't change anything. I've uninstalled and reinstalled the dependencies. I've also run "apt-get install --reinstall". I've removed all of the packages in the output (the one I'm installing, the other packages that have dependencies, and the dependencies themselves) with "dpkg -r --force-depends" and then installed every, again, from the same command-line. When I do an install of the packages it asserts aren't installed, nothing is done. Sometimes Apt thinks they're there and sometimes it doesn't.

Am I overlooking something, or is something going on?

$ sudo apt-get install freeglut3-dev
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 gnome-control-center : Depends: libcheese-gtk23 (>= 3.4.0) but it is not going to be installed
                        Depends: libcheese7 (>= 3.0.1) but it is not going to be installed
 unity-control-center : Depends: libcheese-gtk23 (>= 3.4.0) but it is not going to be installed
                        Depends: libcheese7 (>= 3.0.1) but it is not going to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.

$ dpkg -l libcheese-gtk23 libcheese7
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                                      Version                   Architecture              Description
+++-=========================================-=========================-=========================-=======================================================================================
ii  libcheese-gtk23:amd64                     3.10.2-0ubuntu2           amd64                     tool to take pictures and videos from your webcam - widgets
ii  libcheese7:amd64                          3.10.2-0ubuntu2           amd64                     tool to take pictures and videos from your webcam - base library
0

It just got into a bad state. I just kept attempting to run a reinstall and kept adding all of the packages mentioned to the command-line until it worked. Eventually it encapsulated all of the packages that had a dirty state related to the freeglut3-dev package (the only package that I really wanted to install):

apt-get install --reinstall freeglut3-dev gnome-control-center unity-control-center libcheese7 libcheese-gtk23 libclutter-1.0-0 libclutter-gtk-1.0-0 libclutter-gst-2.0-0 gstreamer1.0-clutter libcogl-pango15 libcogl15

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.